# appGenerics MailMonkey: neuen Auftrag erstellen
#   Klassen: BusinessClassesRoot
#   ObjectScript: -
#   ContainerScript: -
#   Expression: -
#   EventType: -
#   EventClass: -
#   EventMembers: -
#   ExtendedRights: No
#
#   Created at: 28.04.19, FH
#   VertecMailMonkey Release 2019-1
#
#   Ruft die MailMonkey UI auf, um einen neuen Auftrag �ber einen Ordner zu erstellen
#

def main():
    typ=argobject.eval("self.oclType.asString")
    
    if typ=="Ordner" or typ=="ExpressionOrdner" or typ=="SqlOrdner":
        boldid=argobject.eval("boldid")
        url="{{monkeyUrl}}/Orders/Create?DataSourceFolderId="+str(boldid)
        vtcapp.executeurl(url)
    else:
        vtcapp.msgbox("Bitte w�hlen Sie einen Stichwort-/Expression- oder SQL-Ordner aus.")
        
try:
    main()
except Exception, e:
    vtcapp.msgbox('Fehler: ' + str(e))
#finally: